(function($) {
	nrow = 0;

	$('#bt_movi_incl').on('click', function(e){
		// alert("teste");
		var id = $('#id_produto').val();
		var qt = $('#nr_qtde').val();
		var ar = $('#id_armazem').val();
		var en = $('#id_endereco').val();

		var ds = $('#ds_produto').val();

		if(id=="" || qt=="" || ar=="" || en =="" ){
			alert('Todos os campos são obrigatórios!!!');
			$('#id_produto').focus();
			return false;
		}

		// adiciona a tabela para visualização
		var newRow = $("<tr>");
		var cols = "";

		nrow +=1;

		cols += '<td>' + id + '</td>';
		cols += '<td>' + ds + '</td>';
		cols += '<td>' + qt + '</td>';
		cols += '<td>' + ar + '</td>';
		cols += '<td>' + en + '</td>';

		// para o valor para um campo a ser utilizado no post;
		cols += "<td hidden><input name='id_produto_movi[]' value='" + id + ";" + qt + ";" + ar + ";" + en + ";" + "' hidden></td>";

		// cols += '<td class=nr_qtde id=nr_qtde data-id' + id + '=' + qt + ' contenteditable>' + qt + '</td>';

		cols += '<td class=\'text-center\'><button name=\'btn_excluir\' onClick=\'RemoveFantasmaRow(this)\' class=\'glyphicon glyphicon-remove\'></td>';

		cols += '</tr>';

		newRow.append(cols);
		$("#produtos-movi").append(newRow);
		// limpa os campos do form
		$('#id_produto').val("");
		$('#nr_qtde').val("");
		$('#id_armazem').val("");
		$('#id_endereco').val("");

		$('#id_produto').focus();

	});


	$('#produtos-fantasma').dataTable( {
    paging: false,
    searching: true,
		"bSortable": false,
		"language": {
            "lengthMenu": "Display -- records per page",
            "zeroRecords": "Não há registros anteriores",
            "infoEmpty": "No records available"
					}
	});

	$(document).on('blur', '.nr_qtde', function(){
		var id = $(this).data("id1");
		var tx = $(this).text();
		// alert('blur 1 : ID=' + id + ', TX=' + tx);
	});

	/*id_fantasma
	ds_fantasma

	bt_fant_incl*/
	$("input:radio[name=st_prod_fantasma]").on('click', function(e){
		var st = $(this).val();
		if(st==true){
			$('#produto-include').show();
			$('#id_fantasma').focus();
		}else{
			$('#produto-include').hide();
		}
	});

	$('#bt_fant_incl').on('click', function(e){
		// alert("teste");
		var id = $('#id_fantasma').val();
		var ds = $('#ds_fantasma').val();
		var qt = $('#nr_qt_fantasma').val();

		if(id=="" || ds=="" || qt==""){
			alert('Todos os campos são obrigatórios!!!');
			$('#id_fantasma').focus();
			return false;
		}

		// adiciona a tabela para visualização
		var newRow = $("<tr>");
    var cols = "";

		nrow +=1;

		cols += '<td>' + id + '</td>';
		cols += '<td>' + ds + '</td>';
		cols += '<td class=nr_qtde id=nr_qtde data-id' + id + '=' + qt + ' contenteditable>' + qt + '</td>';
		cols += '<td class=\'text-center\'><button name=\'btn_excluir\' onClick=\'RemoveFantasmaRow(this)\' class=\'glyphicon glyphicon-remove\'></td>';

		cols += '</tr>';

	  newRow.append(cols);
    $("#produtos-fantasma").append(newRow);
		// limpa os campos do form
		$('#id_fantasma').val("");
		$('#ds_fantasma').val("");
		$('#nr_qt_fantasma').val("");
		$('#id_fantasma').focus();

	});


	/*$('#nr_qtde000').blur(function(){
		var id = $(this).data("id1");
		var tx = $(this).text();
		alert('blur 2 : ' + tx);
	});

	$('#produtos-fantasma').DataTable( {
        ajax: {
            url: "join.php",
            type: 'POST'
        },
        columns: [
            { data: "id" },
            { data: "ds_produto" },
            { data: "id_ncm" },
						{ data: "vl_unit" },
            { data: "nr_qtde", editField: "nr_qtde" }
        ]
    } );*/


	RemoveFantasmaRow = function(handler) {

    var tr = $(handler).closest('tr');

    tr.fadeOut(400, function(){
      tr.remove();
    });

    return false;
	};

	AddFantasmaRow = function() {

    var newRow = $("<tr>");
    var cols = "";

		/*cols += '<td>&nbsp;</td>';
		cols += '<img src="img/icones/accord-minus.png" onClick="RemoveTableRow(this)">';
		cols += '<div class=col-md-1><input type=number size=10 name="p_id_ite[]" id="p_id_ite[]" min="1" max="999" step="0" maxlength="3" required/></div>';

		cols += '<div class="col-md-1"><input type="number" size=10 name="p_id_ean[]" id="p_id_ean[]" min="1" maxlength="3" max="99999999999999" step=null required/></div>';
		cols += '<div class="col-md-1"><input type="number" size=1 name="p_id_ncm[]" id="p_id_ncm[]" maxlength="10" /></div>';
		cols += '<div class="col-md-1"><input type="number" size=2 name="p_id_pro[]" id="p_id_pro[]" maxlength="11" required /></div>';
		cols += '<div class="col-md-3"><input name="p_ds_pro[]" id="p_ds_pro" size=10 maxlength="40" required /></div>';
		cols += '<div class="col-md-1"><input type="number" size=1 name="p_nr_qtd[]" id="p_nr_qtd[]" required /></div>';
		cols += '<div class="col-md-1"><input type="number" size=1 name="p_vl_uni[]" id="p_vl_uni[]" required /></div>';
		cols += '<div class="col-md-1"><input type="number" size=1 name="p_vl_tot[]" id="p_vl_tot[]" required /></div>';

		cols += '<div class="col-md-1"><input type=checkbox name=fl_indtotal[] checked/></div>';
		cols += '</div>';
		*/

		nrow +=1;

		cols +='<td><input type=number name="id_fantasma'+ nrow + '" id="id_fantasma' + nrow + '" min="0" step="1" size="4"></td>';
		cols +='<td><a href="helper-tipo-produto.php" class=\'input-helper\' data-remote="false" data-toggle="modal" data-target="#helper-modal-div" data-value="#id_fantasma' + nrow + '" data-description="#ds_fantasma' + nrow + '" data-title="Selecione:">';
		cols +='<span class="fa fa-search"></span></a></td>';
		cols +='<td><label id="ds_fantasma' + nrow + '">&nbsp;</label>&nbsp;</td>';
		cols +='<td><input type=number name="nr_qtde_fantasma" min="0.0001" requerid></td>';
		cols +='<td><button name="btn_excluir" onClick="RemoveFantasmaRow(this)"></td>';

		cols += '</tr>';

		alert(cols);

	  newRow.append(cols);
    $("#produtos-fantasma").append(newRow);

	  return false;
  };

})(jQuery);
